# ICMP Packet Captures
Collection of Wireshark `.pcapng` files. Currently contains:
  - IPv4 admin unreachable, packet too big, redirect, ping, and traceroute
  - IPv4 legacy requests/replies: address mask, information, and timestamp
  - IPv6 ICMP Neighbor Discovery (ND) exchanges
  - IPv6 RA RDNSS option (servers and domains)
  - IPv6 ICMP admin unreachable, packet too big, ping, and traceroute
  - Traceroutes conducted over MPLS networks for IPv4 and IPv6

# Pluralsight Course
These packet captures support my Pluralsight course titled
"Protocol Deep Dive: ICMP", accessible here:
`https://www.pluralsight.com/courses/protocol-deep-dive-icmp`

Please check out this course if you'd like to better understand
the context/applicability of these packet captures.

## Usage and Warranty
I recommend using these files to see "what right looks like" and to use
as references during your own design and troubleshooting efforts. I am
not liable for any damages caused by the packet captured provided therein.
All addresses used (IP, MAC, etc.) are examples from lab environments
and any overlap in your production environment is coincidental.

## Copyright
Copyright 2024 Nicholas Russo.

Consumers may download and edit any document in this collection for personal
use only. Downloading and editing any document in this collection for
redistribution is prohibited.

All rights reserved.